POST RestApi/personal/mediarecorder/recordingcomplete/v1
Saves a Ziggeo redcorded video or audio clip to the server with the provided name
Request Information
URI Parameters
None.
Body Parameters
Video details and save name
Itsolutions.Itslearning.Web.RestApi.Personal.MediaRecorderController+RecordingRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Ziggeo video id |
string |
None. |
| videoUrl |
The url to the temporary storage |
string |
None. |
| name |
User supplied file name to save as |
string |
None. |
| video |
Indicates if the recording is video or audio |
boolean |
None. |
| usedInFileUploader |
Whether the media recorder integrated in the file uploader |
boolean |
None. |
Request Formats
application/json, text/json
{
"id": "sample string 1",
"videoUrl": "sample string 2",
"name": "sample string 3",
"video": true,
"usedInFileUploader": true
}
application/xml, text/xml
<MediaRecorderController.RecordingRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal"> <id>sample string 1</id> <name>sample string 3</name> <usedInFileUploader>true</usedInFileUploader> <video>true</video> <videoUrl>sample string 2</videoUrl> </MediaRecorderController.RecordingRequest>
application/x-www-form-urlencoded
No sample available
Response Information
Resource Description
Result of save attempt
Itsolutions.Itslearning.Web.RestApi.Personal.MediaRecorderController+VideoResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| playerHtml |
The raw html of a video player for the video uploaded |
string |
None. |
| success |
Indicates if the video was uploaded successfully |
boolean |
None. |
| error |
Description of the error if any |
string |
None. |
| mediaRecorderUploadResult |
Metadata of the recorded file |
Itsolutions.Itslearning.Web.RestApi.Personal.MediaRecorderUploadResult |
None. |
| processing |
True when the recording still needs to be transcoded before it can be attached. The client should poll using and . |
boolean |
None. |
| convertJobId |
Identifier of the transcoding job, used by the client to poll and finalize the finished recording. |
string |
None. |
| convertJobSignature |
User-scoped signature for . |
string |
None. |
Response Formats
application/json, text/json
{
"playerHtml": "sample string 1",
"success": true,
"error": "sample string 3",
"mediaRecorderUploadResult": {
"id": "sample string 1",
"name": "sample string 2",
"url": "sample string 1"
},
"processing": true,
"convertJobId": "sample string 5",
"convertJobSignature": "sample string 6"
}
application/xml, text/xml
<MediaRecorderController.VideoResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal">
<convertJobId>sample string 5</convertJobId>
<convertJobSignature>sample string 6</convertJobSignature>
<error>sample string 3</error>
<mediaRecorderUploadResult>
<id>sample string 1</id>
<name>sample string 2</name>
<url>sample string 1</url>
</mediaRecorderUploadResult>
<playerHtml>sample string 1</playerHtml>
<processing>true</processing>
<success>true</success>
</MediaRecorderController.VideoResponse>